Package org.eclipse.ecf.core.sharedobject.events

## Interface ISharedObjectCallEvent

All Superinterfaces:
  `Event`, `ISharedObjectEvent`

All Known Implementing Classes:
  `SharedObjectCallEvent`

    public interface ISharedObjectCallEvent
    extends ISharedObjectEvent

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.equinox.concurrent.future.IFuture` `getAsyncResult()`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.events.ISharedObjectEvent

`getEvent, getSenderSharedObjectID`

### Method Detail

#### getAsyncResult

    org.eclipse.equinox.concurrent.future.IFuture getAsyncResult()

Since:
  2.0